Page MenuHomePhabricator

Change ptwiki logo temporarily (celebration of 20 years)
Closed, ResolvedPublic

Description

After polling, the community opted to change the logo temporarily, in celebration of the 20th anniversary of Wikipedia in Portuguese.

SVG file chosen: https://commons.wikimedia.org/wiki/File:WP20_ptwiki20_logo_a_enclopedia_livre_5.svg

Starting at: 2021-05-11

Event Timeline

Zabe renamed this task from Change pt@wiki logo temporarily (celebration of 20 years) to Change ptwiki logo temporarily (celebration of 20 years).May 5 2021, 9:27 AM
Zabe triaged this task as High priority.

Change 685557 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Add ptwiki 20th anniversary logos

https://gerrit.wikimedia.org/r/685557

Change 685563 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Use ptwiki 20th anniversary logos

https://gerrit.wikimedia.org/r/685563

Zabe moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.

Change 685557 merged by jenkins-bot:

[operations/mediawiki-config@master] Add ptwiki 20th anniversary logos

https://gerrit.wikimedia.org/r/685557

Mentioned in SAL (#wikimedia-operations) [2021-05-10T23:08:02Z] <urbanecm@deploy1002> Synchronized static/images/project-logos/: f2a76b1a6eb55749395e67d74c74a7fc5df52f1b: Add ptwiki 20th anniversary logos (T281925) (duration: 00m 58s)

Change 685563 merged by jenkins-bot:

[operations/mediawiki-config@master] Use ptwiki 20th anniversary logos

https://gerrit.wikimedia.org/r/685563

Mentioned in SAL (#wikimedia-operations) [2021-05-10T23:12:15Z] <urbanecm@deploy1002> Synchronized wmf-config/logos.php: dd6fa6504350a90c9f14c218bc972558791f0a6d: Use ptwiki 20th anniversary logos (T281925) (duration: 00m 59s)

This was synced out and works with old vector. Since ptwiki is a desktop improvements pilot wiki, and since the image provided is used only in old vector, I'm not closing this for now, and waiting for further information.

@Urbanecm: Can you then place the version of the old vector publicly on the Lusophone website temporarily? Or if there is how, put a version of the logo already prepared for the new vector?

@Urbanecm: Can you then place the version of the old vector publicly on the Lusophone website temporarily? Or if there is how, put a version of the logo already prepared for the new vector?

Old and new vector are two completely different skins with different ways to do logos. It's not possible to just put old vector logo into new vector. I don't see a version of the logo for new vector prepared and linked here?

@Urbanecm: I just forgot to leave the links in the message, ICON: https://upload.wikimedia.org/wikipedia/commons/thumb/e/e5/WP20Symbols_twenty_v2.svg/50px-WP20Symbols_twenty_v2.svg.png; WORDMARK: https://upload.wikimedia.org/wikipedia/commons/thumb/2/2f/WP20_ptwiki20_logo_wikipedia.svg/119px-WP20_ptwiki20_logo_wikipedia.svg.png. I also prepared a code that requires the use of [[pt:MediaWiki:Common.css]], if you want we can use this alternative for the new vector, but I need your editing to do this.

@Urbanecm: So... You were read the my message?

Change 689329 had a related patch set uploaded (by Tks4Fish; author: Tks4Fish):

[operations/mediawiki-config@master] Adding square logo and wordmark for ptwiki 20 years celebration

https://gerrit.wikimedia.org/r/689329

Change 689335 had a related patch set uploaded (by Tks4Fish; author: Tks4Fish):

[operations/mediawiki-config@master] Adding logos for ptwiki's 20 year celebration on new vector

https://gerrit.wikimedia.org/r/689335

Change 689329 merged by jenkins-bot:

[operations/mediawiki-config@master] Adding square logo and wordmark for ptwiki 20 years celebration

https://gerrit.wikimedia.org/r/689329

Mentioned in SAL (#wikimedia-operations) [2021-05-11T23:02:16Z] <urbanecm@deploy1002> Synchronized static/images/mobile/copyright/: e35199baf01f423015905b8fec9e419ed3529787: Adding square logo and wordmark for ptwiki 20 years celebration (T281925) (duration: 01m 50s)

Change 689342 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] ptwiki: Add wikipedia-pt-20.png

https://gerrit.wikimedia.org/r/689342

Change 689342 merged by jenkins-bot:

[operations/mediawiki-config@master] ptwiki: Add wikipedia-pt-20.png

https://gerrit.wikimedia.org/r/689342

Mentioned in SAL (#wikimedia-operations) [2021-05-11T23:06:51Z] <urbanecm@deploy1002> Synchronized static/images/mobile/copyright/wikipedia-pt-20.png: 60e6e4e960ee6cb31df9ce08fdeaedb647ce3afb: ptwiki: Add wikipedia-pt-20.png (T281925) (duration: 01m 08s)

Change 689335 merged by jenkins-bot:

[operations/mediawiki-config@master] ptwiki: Use celebration logos in new vector

https://gerrit.wikimedia.org/r/689335

@Tks4Fish Certeza que isso não dará errado? A imagem está escrito em código-fonte do SVG.
Mesmo que dê certo ou não, obrigado Tks4Fish!

Mentioned in SAL (#wikimedia-operations) [2021-05-11T23:16:58Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: 5bc40acfa6514f7940af0a6cef9974140680f4b9: ptwiki: Use celebration logos in new vector (T281925) (duration: 01m 06s)

@Urbanecm: I just forgot to leave the links in the message, ICON: https://upload.wikimedia.org/wikipedia/commons/thumb/e/e5/WP20Symbols_twenty_v2.svg/50px-WP20Symbols_twenty_v2.svg.png; WORDMARK: https://upload.wikimedia.org/wikipedia/commons/thumb/2/2f/WP20_ptwiki20_logo_wikipedia.svg/119px-WP20_ptwiki20_logo_wikipedia.svg.png. I also prepared a code that requires the use of [[pt:MediaWiki:Common.css]], if you want we can use this alternative for the new vector, but I need your editing to do this.

@Urbanecm: So... You were read the my message?

Not when you wrote the comment, but I just synced the change out. Sorry, I'm a volunteer like you ;).

@Urbanecm: All right, the important thing is that the logo works and also thanks for helping with the task. And now it's just celebrating the 20th anniversary of Wikipedia in Portuguese!

And if you want to leave a birthday message for the project, we provide the Anglophone with a page for the public to leave a message or wish for the project in question, you can find it here Wikipédia:20 anos by clicking on the button "Deseje feliz aniversário!".